libpano hangs with Panini projection

Bug #1016258 reported by Frederic Da Vitoria on 2012-06-21
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Hugin
Undecided
Unassigned
Panotools
Undecided
Unassigned

Bug Description

(At Thomas Modes' request)

Hugin hangs when trying to open any of these pro files. I have the problem with both 2011.4.0 and with the GUI Overhaul version. 2010.2.0 has no problem with them.

Running on Windows Vista bits.

Thomas Modes' answer:
> he error is in libpano not in Hugin itself.
> It is connect with the Panini projection and line control points.
> Currently I have no idea how to fix it.
> Please put the project file into the bug tracker for libpano, so it is
> not lost.

> A workaround is the change in the line
> p f19 w6038 h6253 v97 k3 E0 R0 S1491,5729,384,3991 P"10 0 0" n"TIFF_m
> c:LZW"
> the value "f19" to another output projection e.g. "f1". Now Hugin can
> open the file.

> Alternatively you can remove all line control points. These are the
> line starting with c and does contain t3 or t4 at the last position:
> c n3 N3 x343 y737 X282 Y1143 t3
> c n3 N3 x234 y1476 X199 Y1739 t3
> c n3 N3 x1823 y524 X2042 Y1858 t3
> c n3 N3 x1901 y693 X1984 Y1155 t4
> c n3 N3 x2041 y1484 X2095 Y1794 t4
> Now Hugin can also open the file.

tmodes (tmodes) wrote :

Adding some more finding: When using panotools to calculate the control point distance, panotools goes into an endless loop in rotate_erect when execute stack for the line control point. This does only happen when the output projection is panini, otherwise it works.

Changed in hugin:
status: New → Invalid
tmodes (tmodes) wrote :
tmodes (tmodes) wrote :

Found the case for the hang. It is now fixed in repository.

Changed in panotools:
status: New → Fix Committed

2016-12-30 13:28 UTC+01:00, tmodes <email address hidden>:
> Found the case for the hang. It is now fixed in repository.
>
> ** Changed in: panotools
> Status: New => Fix Committed

Wow, you are persevering! I am not sure I ever stumbled on this one
since, but thank you anyhow.

--
Frederic Da Vitoria
(davitof)

Membre de l'April - « promouvoir et défendre le logiciel libre » -
http://www.april.org

Tom Sharpless (tksharpless) wrote :

A case of premature optimization. Good diagnosis, Thomas!

On Fri, Dec 30, 2016 at 8:26 AM, Frederic Da Vitoria <email address hidden>
wrote:

> 2016-12-30 13:28 UTC+01:00, tmodes <email address hidden>:
> > Found the case for the hang. It is now fixed in repository.
> >
> > ** Changed in: panotools
> > Status: New => Fix Committed
>
> Wow, you are persevering! I am not sure I ever stumbled on this one
> since, but thank you anyhow.
>
>
> --
> Frederic Da Vitoria
> (davitof)
>
> Membre de l'April - « promouvoir et défendre le logiciel libre » -
> http://www.april.org
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1016258
>
> Title:
> libpano hangs with Panini projection
>
> Status in Hugin:
> Invalid
> Status in Panotools:
> Fix Committed
>
> Bug description:
> (At Thomas Modes' request)
>
> Hugin hangs when trying to open any of these pro files. I have the
> problem with both 2011.4.0 and with the GUI Overhaul version. 2010.2.0
> has no problem with them.
>
> Running on Windows Vista bits.
>
> Thomas Modes' answer:
> > he error is in libpano not in Hugin itself.
> > It is connect with the Panini projection and line control points.
> > Currently I have no idea how to fix it.
> > Please put the project file into the bug tracker for libpano, so it is
> > not lost.
>
> > A workaround is the change in the line
> > p f19 w6038 h6253 v97 k3 E0 R0 S1491,5729,384,3991 P"10 0 0" n"TIFF_m
> > c:LZW"
> > the value "f19" to another output projection e.g. "f1". Now Hugin can
> > open the file.
>
> > Alternatively you can remove all line control points. These are the
> > line starting with c and does contain t3 or t4 at the last position:
> > c n3 N3 x343 y737 X282 Y1143 t3
> > c n3 N3 x234 y1476 X199 Y1739 t3
> > c n3 N3 x1823 y524 X2042 Y1858 t3
> > c n3 N3 x1901 y693 X1984 Y1155 t4
> > c n3 N3 x2041 y1484 X2095 Y1794 t4
> > Now Hugin can also open the file.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/hugin/+bug/1016258/+subscriptions
>

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers